package main

import (
	"flag"
	"git.insit.tech/psa/rtsp_reader-writer/writer/internal/config"
	"git.insit.tech/psa/rtsp_reader-writer/writer/internal/ingest/rtsp"
	"log"
)

func main() {
	directory := flag.String("dir", "/home/psa/GoRepository", "directory")
	flag.Parse()

	// Parse camera links from YAML file into struct Cameras.
	cams, err := config.ParseCamerasYAML(*directory)
	if err != nil {
		panic(err)
	}

	// Connect to each camera.
	for _, link := range cams {
		log.Printf("process camera:\n %s\n", link)

		go func() {
			err = rtsp.StartWriter(*directory, 60, link)
			if err != nil {
				log.Printf("procRTSP function error for camera %s: %s", link, err.Error())
			}
		}()
	}
	select {}
}
