package config

import (
	"gopkg.in/yaml.v3"
	"os"
)

// ParseCamerasYAML parses camera links from YAML file into struct Cameras.
func ParseCamerasYAML(dir string) (map[string]string, error) {
	var CamerasYAML map[string]string

	data, err := os.ReadFile(dir + "/rtsp_reader-writer/writer/internal/config/source.yaml")
	if err != nil {
		return CamerasYAML, err
	}

	err = yaml.Unmarshal(data, &CamerasYAML)
	if err != nil {
		return CamerasYAML, err
	}

	return CamerasYAML, nil
}
